/* Based on CPU DB MMA9550, version 3.00.000 (RegistersPrg V2.31) */
/* DataSheet : EVE 3-Axis Accelerometer Product Specification REV 1.4, Sept 12, 2009 */

#include <mma9550.h>

/*lint -save -esym(765, *) */


/* * * * *  8-BIT REGISTERS  * * * * * * * * * * * * * * * */
volatile SP_MUTEX0STR _SP_MUTEX0;                          /* Binary Semaphore (Mutex) Register 0; 0xFFFF8020 */
volatile SP_MUTEX1STR _SP_MUTEX1;                          /* Binary Semaphore (Mutex) Register 1; 0xFFFF8021 */
volatile SP_ADDRSTR _SP_ADDR;                              /* Slave I2C Address Register; 0xFFFF8022 */
volatile SP_SCRSTR _SP_SCR;                                /* Slave Port Status & Control Register; 0xFFFF8023 */
volatile SP_WSTS0STR _SP_WSTS0;                            /* Write Status Register 0; 0xFFFF8024 */
volatile SP_WSTS1STR _SP_WSTS1;                            /* Write Status Register 1; 0xFFFF8025 */
volatile SP_WSTS2STR _SP_WSTS2;                            /* Write Status Register 2; 0xFFFF8026 */
volatile SP_WSTS3STR _SP_WSTS3;                            /* Write Status Register 3; 0xFFFF8027 */
volatile SP_RSTS0STR _SP_RSTS0;                            /* Read Status Register 0; 0xFFFF8028 */
volatile SP_RSTS1STR _SP_RSTS1;                            /* Read Status Register 1; 0xFFFF8029 */
volatile SP_RSTS2STR _SP_RSTS2;                            /* Read Status Register 2; 0xFFFF802A */
volatile SP_RSTS3STR _SP_RSTS3;                            /* Read Status Register 3; 0xFFFF802B */
volatile SP_MTOR0STR _SP_MTOR0;                            /* Mutext Timeout Register 0; 0xFFFF802C */
volatile SP_MTOR1STR _SP_MTOR1;                            /* Mutext Timeout Register 1; 0xFFFF802D */
volatile SP_OICSTR _SP_OIC;                                /* Slave Port Output Interrupt (INT_O) Control Register; 0xFFFF802E */
volatile IICA1STR _IICA1;                                  /* IIC Address Register; 0xFFFF8040 */
volatile IICFSTR _IICF;                                    /* IIC Frequency Divider Register; 0xFFFF8041 */
volatile IICC1STR _IICC1;                                  /* IIC Control Register 1; 0xFFFF8042 */
volatile IICSSTR _IICS;                                    /* IIC Status Register; 0xFFFF8043 */
volatile IICDSTR _IICD;                                    /* IIC Data I/O Register; 0xFFFF8044 */
volatile IICC2STR _IICC2;                                  /* IIC Control Register 2; 0xFFFF8045 */
volatile IICFLTSTR _IICFLT;                                /* IIC Filter register; 0xFFFF8046 */
volatile STOPCRSTR _STOPCR;                                /* STOP Control Register; 0xFFFF8060 */
volatile FCSRSTR _FCSR;                                    /* Frame Control & Status Register; 0xFFFF8061 */
volatile RCSRSTR _RCSR;                                    /* Reset Control & Status Register; 0xFFFF8062 */
volatile PCESFC0STR _PCESFC0;                              /* Peripheral Clock in STOPFC Mode Enable  Register 0; 0xFFFF8064 */
volatile PCESFC1STR _PCESFC1;                              /* Peripheral Clock in STOPFC Mode Enable  Register 0; 0xFFFF8065 */
volatile PCESSC0STR _PCESSC0;                              /* Peripheral Clock in STOPSC Mode Enable  Register 0; 0xFFFF8066 */
volatile PCESSC1STR _PCESSC1;                              /* Peripheral Clock in STOPSC Mode Enable  Register 0; 0xFFFF8067 */
volatile PCERUN0STR _PCERUN0;                              /* Peripheral Clock in RUN Mode Enable  Register 0; 0xFFFF8068 */
volatile PCERUN1STR _PCERUN1;                              /* Peripheral Clock in RUN Mode Enable  Register 0; 0xFFFF8069 */
volatile PMCR0STR _PMCR0;                                  /* Pin Mux Control Register 0; 0xFFFF806A */
volatile PMCR1STR _PMCR1;                                  /* Pin Mux Control Register 1; 0xFFFF806B */
volatile PMCR2STR _PMCR2;                                  /* Pin Mux Control Register 2; 0xFFFF806C */
volatile CK_OSCTRLSTR _CK_OSCTRL;                          /* Oscillator Control Registerr; 0xFFFF8080 */
volatile MTIM16SCSTR _MTIM16SC;                            /* MTIM16 Status and Control Register; 0xFFFF80A0 */
volatile MTIM16CLKSTR _MTIM16CLK;                          /* MTIM16 Clock Configuration Register; 0xFFFF80A1 */
volatile IRQSCSTR _IRQSC;                                  /* Interrupt request status and control register; 0xFFFF80C0 */
volatile PC0PESTR _PC0PE;                                  /* Pull Enable Register; 0xFFFF80E0 */
volatile PC0SESTR _PC0SE;                                  /* Slew Rate Enable Register; 0xFFFF80E1 */
volatile PC0DSSTR _PC0DS;                                  /* Drive Strength Selection Register; 0xFFFF80E2 */
volatile PC0IFESTR _PC0IFE;                                /* Input Filter Enable Register; 0xFFFF80E3 */
volatile PC1PESTR _PC1PE;                                  /* Pull Enable Register; 0xFFFF8100 */
volatile PC1SESTR _PC1SE;                                  /* Slew Rate Enable Register; 0xFFFF8101 */
volatile PC1DSSTR _PC1DS;                                  /* Drive Strength Selection Register; 0xFFFF8102 */
volatile PC1IFESTR _PC1IFE;                                /* Input Filter Enable Register; 0xFFFF8103 */
volatile TPMSCSTR _TPMSC;                                  /* TPM Status and Control Register; 0xFFFF8120 */
volatile TPMC0SCSTR _TPMC0SC;                              /* TPM Timer Channel 0 Status and Control Register; 0xFFFF8125 */
volatile TPMC1SCSTR _TPMC1SC;                              /* TPM Timer Channel 1 Status and Control Register; 0xFFFF8128 */
volatile INTC_FRCSTR _INTC_FRC;                            /* INTC Force Interrupt Register; 0xFFFFFFD0 */
volatile INTC_PL6P7STR _INTC_PL6P7;                        /* INTC Programmable Level 6, Priority 7 Register; 0xFFFFFFD8 */
volatile INTC_PL6P6STR _INTC_PL6P6;                        /* INTC Programmable Level 6, Priority 6 Register; 0xFFFFFFD9 */
volatile INTC_WCRSTR _INTC_WCR;                            /* INTC Wake-up Control Register; 0xFFFFFFDB */
volatile INTC_SFRCSTR _INTC_SFRC;                          /* INTC Set Interrupt Force Register; 0xFFFFFFDE */
volatile INTC_CFRCSTR _INTC_CFRC;                          /* INTC Clear Interrupt Force Register; 0xFFFFFFDF */
volatile INTC_SWIACKSTR _INTC_SWIACK;                      /* INTC Software IACK Register; 0xFFFFFFE0 */
volatile INTC_LVL1IACKSTR _INTC_LVL1IACK;                  /* INTC Level 1 IACK Register; 0xFFFFFFE4 */
volatile INTC_LVL2IACKSTR _INTC_LVL2IACK;                  /* INTC Level 2 IACK Register; 0xFFFFFFE8 */
volatile INTC_LVL3IACKSTR _INTC_LVL3IACK;                  /* INTC Level 3 IACK Register; 0xFFFFFFEC */
volatile INTC_LVL4IACKSTR _INTC_LVL4IACK;                  /* INTC Level 4 IACK Register; 0xFFFFFFF0 */
volatile INTC_LVL5IACKSTR _INTC_LVL5IACK;                  /* INTC Level 5 IACK Register; 0xFFFFFFF4 */
volatile INTC_LVL6IACKSTR _INTC_LVL6IACK;                  /* INTC Level 6 IACK Register; 0xFFFFFFF8 */
volatile INTC_LVL7IACKSTR _INTC_LVL7IACK;                  /* INTC Level 7 IACK Register; 0xFFFFFFFC */


/* * * * *  16-BIT REGISTERS  * * * * * * * * * * * * * * * */
volatile RGPIO_DIRSTR _RGPIO_DIR;                          /* RGPIO Data Direction Register; 0x00C00000 */
volatile RGPIO_DATASTR _RGPIO_DATA;                        /* RGPIO Data Register; 0x00C00002 */
volatile RGPIO_ENBSTR _RGPIO_ENB;                          /* RGPIO Pin Enable Register; 0x00C00004 */
volatile RGPIO_CLRSTR _RGPIO_CLR;                          /* RGPIO Clear Data Register; 0x00C00006 */
volatile RGPIO_SETSTR _RGPIO_SET;                          /* RGPIO Set Data Register; 0x00C0000A */
volatile RGPIO_TOGSTR _RGPIO_TOG;                          /* RGPIO Toggle Data Register; 0x00C0000E */
volatile MTIM16CNTSTR _MTIM16CNT;                          /* MTIM16 Counter Register; 0xFFFF80A2 */
volatile MTIM16MODSTR _MTIM16MOD;                          /* MTIM16 Modulo Register; 0xFFFF80A4 */
volatile TPMCNTSTR _TPMCNT;                                /* TPM Timer Counter Register; 0xFFFF8121 */
volatile TPMMODSTR _TPMMOD;                                /* TPM Timer Counter Modulo Register; 0xFFFF8123 */
volatile TPMC0VSTR _TPMC0V;                                /* TPM Timer Channel 0 Value Register; 0xFFFF8126 */
volatile TPMC1VSTR _TPMC1V;                                /* TPM Timer Channel 1 Value Register; 0xFFFF8129 */
volatile PDB_SCRSTR _PDB_SCR;                              /* PDB Status & Control Register; 0xFFFFEC00 */
volatile PDB_DELAYASTR _PDB_DELAYA;                        /* PDB Delay A Register; 0xFFFFEC02 */
volatile PDB_DELAYBSTR _PDB_DELAYB;                        /* PDB Delay B Register; 0xFFFFEC04 */
volatile PDB_MODSTR _PDB_MOD;                              /* PDB Counter Modulus Register; 0xFFFFEC06 */
volatile PDB_COUNTSTR _PDB_COUNT;                          /* PDB Counter Value Register; 0xFFFFEC08 */


/* * * * *  32-BIT REGISTERS  * * * * * * * * * * * * * * * */
volatile SP_MB0_dwordSTR _SP_MB0_dword;                    /* Mailbox Register 0, 32 bit; 0xFFFF8000 */
volatile SP_MB1_dwordSTR _SP_MB1_dword;                    /* Mailbox Register 1, 32 bit; 0xFFFF8004 */
volatile SP_MB2_dwordSTR _SP_MB2_dword;                    /* Mailbox Register 2, 32 bit; 0xFFFF8008 */
volatile SP_MB3_dwordSTR _SP_MB3_dword;                    /* Mailbox Register 3, 32 bit; 0xFFFF800C */
volatile SP_MB4_dwordSTR _SP_MB4_dword;                    /* Mailbox Register 4, 32 bit; 0xFFFF8010 */
volatile SP_MB5_dwordSTR _SP_MB5_dword;                    /* Mailbox Register 5, 32 bit; 0xFFFF8014 */
volatile SP_MB6_dwordSTR _SP_MB6_dword;                    /* Mailbox Register 6, 32 bit; 0xFFFF8018 */
volatile SP_MB7_dwordSTR _SP_MB7_dword;                    /* Mailbox Register 7, 32 bit; 0xFFFF801C */

/*lint -restore */

/* EOF */
